Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.config
Class MyfacesConfig

    java.lang.Object
      org.apache.myfaces.shared_orchestra.config.MyfacesConfig

    public class MyfacesConfig

extends java.lang.Object

Holds all configuration init parameters (from web.xml) that are independent from the core implementation. The parameters in this class are available to all shared, component and implementation classes. See RuntimeConfig for configuration infos that come from the faces-config files and are needed by the core implementation. MyfacesConfig is meant for components that implement some of the extended features of MyFaces. Anyhow, using the MyFaces JSF implementation is no precondition for using MyfacesConfig in custom components. Upon using another JSF implementation (or omitting the extended init parameters) all config properties will simply have their default values.

Version:
  $Revision: 561987 $ $Date: 2007-08-02 01:19:06 +0200 (Do, 02 Aug 2007) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $)

Field Summary
`static java.lang.String` | `INIT_PARAM_CONFIG_REFRESH_PERIOD`
`static long` | `INIT_PARAM_CONFIG_REFRESH_PERIOD_DEFAULT`
`static java.lang.String` | `INIT_PARAM_RESOURCE_VIRTUAL_PATH`
`static java.lang.String` | `INIT_PARAM_RESOURCE_VIRTUAL_PATH_DEFAULT`

Constructor Summary
`MyfacesConfig()`

Method Summary
`java.lang.String` | `getAddResourceClass()`
`static java.lang.String` | `getAddResourceClassFromServletContext(javax.servlet.ServletContext servletContext)` ExtensionFilter needs access to AddResourceClass init param without having an ExternalContext at hand.
`long` | `getConfigRefreshPeriod()`
`static MyfacesConfig` | `getCurrentInstance(javax.faces.context.ExternalContext extCtx)`
`java.lang.String` | `getResourceVirtualPath()`
`boolean` | `isAllowJavascript()` Do not use this in renderers directly! You should use `JavascriptUtils.isJavascriptAllowed(javax.faces.context.ExternalContext)` to determine if javascript is allowed or not.
`boolean` | `isAutoScroll()`
`boolean` | `isCheckExtensionsFilter()` Should the environment be checked so that the ExtensionsFilter will work properly.
`boolean` | `isDetectJavascript()`
`boolean` | `isMyfacesImplAvailable()`
`boolean` | `isPrettyHtml()`
`boolean` | `isReadonlyAsDisabledForSelect()`
`boolean` | `isRiImplAvailable()`
`boolean` | `isTomahawkAvailable()`
`void` | `setCheckExtensionsFilter(boolean extensionsFilter)`
`void` | `setConfigRefreshPeriod(long configRefreshPeriod)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INIT_PARAM_CONFIG_REFRESH_PERIOD

    public static final java.lang.String INIT_PARAM_CONFIG_REFRESH_PERIOD

See Also:
  Constant Field Values

### INIT_PARAM_CONFIG_REFRESH_PERIOD_DEFAULT

    public static final long INIT_PARAM_CONFIG_REFRESH_PERIOD_DEFAULT

See Also:
  Constant Field Values

### INIT_PARAM_RESOURCE_VIRTUAL_PATH

    public static final java.lang.String INIT_PARAM_RESOURCE_VIRTUAL_PATH

See Also:
  Constant Field Values

### INIT_PARAM_RESOURCE_VIRTUAL_PATH_DEFAULT

    public static final java.lang.String INIT_PARAM_RESOURCE_VIRTUAL_PATH_DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### MyfacesConfig

    public MyfacesConfig()

Method Detail

### getCurrentInstance

    public static MyfacesConfig getCurrentInstance(javax.faces.context.ExternalContext extCtx)

### getResourceVirtualPath

    public java.lang.String getResourceVirtualPath()

### isPrettyHtml

    public boolean isPrettyHtml()

### isDetectJavascript

    public boolean isDetectJavascript()

### isReadonlyAsDisabledForSelect

    public boolean isReadonlyAsDisabledForSelect()

### isTomahawkAvailable

    public boolean isTomahawkAvailable()

### isMyfacesImplAvailable

    public boolean isMyfacesImplAvailable()

### isRiImplAvailable

    public boolean isRiImplAvailable()

### isAllowJavascript

    public boolean isAllowJavascript()

  Do not use this in renderers directly! You should use `JavascriptUtils.isJavascriptAllowed(javax.faces.context.ExternalContext)` to determine if javascript is allowed or not.

### isAutoScroll

    public boolean isAutoScroll()

### getAddResourceClass

    public java.lang.String getAddResourceClass()

### getAddResourceClassFromServletContext

    public static java.lang.String getAddResourceClassFromServletContext(javax.servlet.ServletContext servletContext)

  ExtensionFilter needs access to AddResourceClass init param without having an ExternalContext at hand.

### isCheckExtensionsFilter

    public boolean isCheckExtensionsFilter()

  Should the environment be checked so that the ExtensionsFilter will work properly.

### setCheckExtensionsFilter

    public void setCheckExtensionsFilter(boolean extensionsFilter)

### getConfigRefreshPeriod

    public long getConfigRefreshPeriod()

### setConfigRefreshPeriod

    public void setConfigRefreshPeriod(long configRefreshPeriod)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.